SQ(1)

NAME
sq network keyserver publish - Publish certificates on key servers

SYNOPSIS
sq network keyserver publish [OPTIONS]

DESCRIPTION
Publish certificates on key servers.

Sends certificates to the configured key servers for publication. By default, the certificates are sent to `hkps://keys.openpgp.org`, `hkps://mail-api.proton.me`, `hkps://keys.mailvelope.com`, `hkps://keyserver.ubuntu.com`, and `hkps://sks.pod01.fleetstreetops.com`. This can be tweaked using `--servers`.

OPTIONS

  Subcommand options

--cert=FINGERPRINT|KEYID
    Use certificates with the specified fingerprint or key ID

--cert-domain=DOMAIN
    Use certificates where a user ID includes an email address for the specified domain

--cert-email=EMAIL
    Use certificates where a user ID includes the specified email address

--cert-file=PATH
    Read certificates from PATH

--cert-userid=USERID
    Use certificates with the specified user ID

--server=URI
    Set a key server to use (can be given multiple times)

    The default can be changed in the configuration file using the setting `network.keyserver.servers`.

    [default: hkps://keys.openpgp.org, hkps://mail-api.proton.me, hkps://keys.mailvelope.com, hkps://keyserver.ubuntu.com, hkps://sks.pod01.fleetstreetops.com]

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Publish Alice's certificate on the default keyservers.

    sq network keyserver publish --cert-email=alice@example.org

SEE ALSO
sq(1), sq-network(1), sq-network-keyserver(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
1.0.0 (sequoia-openpgp 1.22.0)